<html>
<head>
<title>OGRE: Class Members - Functions - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li class="current"><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions.html"><span>All</span></a></li>
    <li class="current"><a href="functions_func.html"><span>Functions</span></a></li>
    <li><a href="functions_vars.html"><span>Variables</span></a></li>
    <li><a href="functions_type.html"><span>Typedefs</span></a></li>
    <li><a href="functions_enum.html"><span>Enumerations</span></a></li>
    <li><a href="functions_eval.html"><span>Enumerator</span></a></li>
    <li><a href="functions_rela.html"><span>Related&nbsp;Functions</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="functions_func.html#index__"><span>_</span></a></li>
    <li><a href="functions_func_0x61.html#index_a"><span>a</span></a></li>
    <li class="current"><a href="functions_func_0x62.html#index_b"><span>b</span></a></li>
    <li><a href="functions_func_0x63.html#index_c"><span>c</span></a></li>
    <li><a href="functions_func_0x64.html#index_d"><span>d</span></a></li>
    <li><a href="functions_func_0x65.html#index_e"><span>e</span></a></li>
    <li><a href="functions_func_0x66.html#index_f"><span>f</span></a></li>
    <li><a href="functions_func_0x67.html#index_g"><span>g</span></a></li>
    <li><a href="functions_func_0x68.html#index_h"><span>h</span></a></li>
    <li><a href="functions_func_0x69.html#index_i"><span>i</span></a></li>
    <li><a href="functions_func_0x6b.html#index_k"><span>k</span></a></li>
    <li><a href="functions_func_0x6c.html#index_l"><span>l</span></a></li>
    <li><a href="functions_func_0x6d.html#index_m"><span>m</span></a></li>
    <li><a href="functions_func_0x6e.html#index_n"><span>n</span></a></li>
    <li><a href="functions_func_0x6f.html#index_o"><span>o</span></a></li>
    <li><a href="functions_func_0x70.html#index_p"><span>p</span></a></li>
    <li><a href="functions_func_0x71.html#index_q"><span>q</span></a></li>
    <li><a href="functions_func_0x72.html#index_r"><span>r</span></a></li>
    <li><a href="functions_func_0x73.html#index_s"><span>s</span></a></li>
    <li><a href="functions_func_0x74.html#index_t"><span>t</span></a></li>
    <li><a href="functions_func_0x75.html#index_u"><span>u</span></a></li>
    <li><a href="functions_func_0x76.html#index_v"><span>v</span></a></li>
    <li><a href="functions_func_0x77.html#index_w"><span>w</span></a></li>
    <li><a href="functions_func_0x78.html#index_x"><span>x</span></a></li>
    <li><a href="functions_func_0x79.html#index_y"><span>y</span></a></li>
    <li><a href="functions_func_0x7a.html#index_z"><span>z</span></a></li>
    <li><a href="functions_func_0x7e.html#index_~"><span>~</span></a></li>
  </ul>
</div>

<p>
&nbsp;
<p>
<h3><a class="anchor" name="index_b">- b -</a></h3><ul>
<li>backgroundLoadingComplete()
: <a class="el" href="classOgre_1_1Entity.html#362ee625bacf70c5e6820fa761f43f02">Ogre::Entity</a>
, <a class="el" href="classOgre_1_1Resource_1_1Listener.html#7e351c772904425efce5e94f0418e6ca">Ogre::Resource::Listener</a>
<li>bakeNewLOD()
: <a class="el" href="classOgre_1_1ProgressiveMesh.html#f04ce0e1651c333c31160a5e8d31c303">Ogre::ProgressiveMesh</a>
<li>baseVertexPointerToElement()
: <a class="el" href="classOgre_1_1VertexElement.html#34d62f56827dfb288b55059696587d83">Ogre::VertexElement</a>
<li>BatchInstance()
: <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#b8800df8824217da2796d800d111ca8e">Ogre::InstancedGeometry::BatchInstance</a>
<li>begin()
: <a class="el" href="classOgre_1_1ManualObject.html#801de5b2b4a88e857769b19598647cbe">Ogre::ManualObject</a>
<li>beginBillboards()
: <a class="el" href="classOgre_1_1BillboardSet.html#69f0f4886b64c86cb02dcb422ea56a40">Ogre::BillboardSet</a>
<li>beginOcclusionQuery()
: <a class="el" href="classOgre_1_1HardwareOcclusionQuery.html#40efe70ae4a5877fadd5ef40b2e5fcf3">Ogre::HardwareOcclusionQuery</a>
<li>beginProfile()
: <a class="el" href="classOgre_1_1Profiler.html#e58e29b4abda1e9333bb56cea58ef737">Ogre::Profiler</a>
<li>beginSection()
: <a class="el" href="classOgre_1_1MaterialSerializer.html#96e9de7a16458947c9d4208a8be2847b">Ogre::MaterialSerializer</a>
<li>beginUpdate()
: <a class="el" href="classOgre_1_1ManualObject.html#0c4103359ee463b1a000623d9516291c">Ogre::ManualObject</a>
<li>Bidiagonalize()
: <a class="el" href="classOgre_1_1Matrix3.html#2623a5189b5ada5e6746752406618615">Ogre::Matrix3</a>
<li>Billboard()
: <a class="el" href="classOgre_1_1Billboard.html#39ef001d2052cbae98014753e210b732">Ogre::Billboard</a>
<li>BillboardChain()
: <a class="el" href="classOgre_1_1BillboardChain.html#6b5cba8ae02075702da9f7b2f07d3cc7">Ogre::BillboardChain</a>
<li>BillboardChainFactory()
: <a class="el" href="classOgre_1_1BillboardChainFactory.html#2f92927f587d26d146244f0e4d79afc9">Ogre::BillboardChainFactory</a>
<li>BillboardParticleRenderer()
: <a class="el" href="classOgre_1_1BillboardParticleRenderer.html#2803a14ff48f1aa9bfa3ce9526578ee4">Ogre::BillboardParticleRenderer</a>
<li>BillboardSet()
: <a class="el" href="classOgre_1_1BillboardSet.html#b6d12ebca41b8bf80066dc7709149290">Ogre::BillboardSet</a>
<li>BillboardSetFactory()
: <a class="el" href="classOgre_1_1BillboardSetFactory.html#e9a4de2651c1585f849122d117b607e2">Ogre::BillboardSetFactory</a>
<li>billboardVisible()
: <a class="el" href="classOgre_1_1BillboardSet.html#3ffd2a26ebd08670e50569396dcc4919">Ogre::BillboardSet</a>
<li>bind()
: <a class="el" href="classOgre_1_1SharedPtr.html#1b5e6d7a4cc4f7b96e9aa56ccdc982aa">Ogre::SharedPtr&lt; T &gt;</a>
<li>bindGpuProgram()
: <a class="el" href="classOgre_1_1RenderSystem.html#e8144a770f5bbe9390928abf24d37b16">Ogre::RenderSystem</a>
<li>bindGpuProgramParameters()
: <a class="el" href="classOgre_1_1RenderSystem.html#09ad156f8a00e59fd6528a8f0204900c">Ogre::RenderSystem</a>
<li>bindGpuProgramPassIterationParameters()
: <a class="el" href="classOgre_1_1RenderSystem.html#e1f7904fe5f6a1d39fe8a0621dab7509">Ogre::RenderSystem</a>
<li>bindMissingHardwarePoseBuffers()
: <a class="el" href="classOgre_1_1Entity.html#72b3c2be105b34e4c7bd7ac0f6b3194d">Ogre::Entity</a>
<li>bindSurface()
: <a class="el" href="classOgre_1_1MultiRenderTarget.html#697af754469f8451e714e87ccdaef41c">Ogre::MultiRenderTarget</a>
<li>bindTempCopies()
: <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#ab93bb33b8d69c344f6f64f965812dbb">Ogre::TempBlendedBufferInfo</a>
<li>blit()
: <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#fa8ebd4831c5e9a5538c486581d01ab0">Ogre::HardwarePixelBuffer</a>
<li>blitFromMemory()
: <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#56f6a6f97236e909f4fdeeab98f92492">Ogre::HardwarePixelBuffer</a>
<li>blitToMemory()
: <a class="el" href="classOgre_1_1HardwarePixelBuffer.html#d3587fff7004002a93541b533e95e6ee">Ogre::HardwarePixelBuffer</a>
<li>Bone()
: <a class="el" href="classOgre_1_1Bone.html#5f4ee6d5dbb21e731ab423dad2f39238">Ogre::Bone</a>
<li>BorderPanelOverlayElement()
: <a class="el" href="classOgre_1_1BorderPanelOverlayElement.html#7d44bfd5ed63179395fb90ac62e73870">Ogre::BorderPanelOverlayElement</a>
<li>BorderRenderable()
: <a class="el" href="classOgre_1_1BorderRenderable.html#70ce2657189a442f5a5b550ef532551c">Ogre::BorderRenderable</a>
<li>Box()
: <a class="el" href="structOgre_1_1Box.html#aae3f6efb19b7607eef11e8e70fa46a2">Ogre::Box</a>
<li>buffersCheckedOut()
: <a class="el" href="classOgre_1_1TempBlendedBufferInfo.html#315c9769671710aa512f621a111334b2">Ogre::TempBlendedBufferInfo</a>
<li>build()
: <a class="el" href="classOgre_1_1EdgeListBuilder.html#7233d617fe953b3b6c74035636f1d9f0">Ogre::EdgeListBuilder</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1Region.html#e947cf8b1a8413eb6aac2e2c6a530f54">Ogre::StaticGeometry::Region</a>
, <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#f2eb5bf9ecbe7e6b5d02f69c9294baef">Ogre::FocusedShadowCameraSetup::PointListBody</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1GeometryBucket.html#b39edc8d8d182a610d4a9131f5c00a4d">Ogre::InstancedGeometry::GeometryBucket</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1MaterialBucket.html#80d29ec722226dfd0e861ad6ffdd60b3">Ogre::InstancedGeometry::MaterialBucket</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1LODBucket.html#b686c556b75f53c03cd554bd90b632c2">Ogre::StaticGeometry::LODBucket</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1GeometryBucket.html#043a89755d05ca8ee6e4334376adae2c">Ogre::StaticGeometry::GeometryBucket</a>
, <a class="el" href="classOgre_1_1StaticGeometry_1_1MaterialBucket.html#a3a817dab145e00ab3c07f1f62556f33">Ogre::StaticGeometry::MaterialBucket</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1LODBucket.html#5a5129a1073f82623a976719d3686c8a">Ogre::InstancedGeometry::LODBucket</a>
, <a class="el" href="classOgre_1_1InstancedGeometry.html#b407455efb49632b83257d05178144af">Ogre::InstancedGeometry</a>
, <a class="el" href="classOgre_1_1PatchSurface.html#720b670d73970bb3970dc6d4e190ba2e">Ogre::PatchSurface</a>
, <a class="el" href="classOgre_1_1InstancedGeometry_1_1BatchInstance.html#90a725cab7a4fbb3e9283234abb26e26">Ogre::InstancedGeometry::BatchInstance</a>
, <a class="el" href="classOgre_1_1ProgressiveMesh.html#2a1be1aa3f7fb56f1f092a5d7727ab23">Ogre::ProgressiveMesh</a>
, <a class="el" href="classOgre_1_1StaticGeometry.html#03c94e8a32918dba0fa4321e49f7135f">Ogre::StaticGeometry</a>
<li>buildAndIncludeDirection()
: <a class="el" href="classOgre_1_1FocusedShadowCameraSetup_1_1PointListBody.html#4f1a8bf97a3324b3e131502ea6ad6796">Ogre::FocusedShadowCameraSetup::PointListBody</a>
<li>buildClientBNFRulePaths()
: <a class="el" href="classOgre_1_1Compiler2Pass.html#0c3caaee13006688b9f100bd867a64eb">Ogre::Compiler2Pass</a>
<li>buildConstantDefinitions()
: <a class="el" href="classOgre_1_1HighLevelGpuProgram.html#bc2d22a9a14cb938ffd12e5f7ea3e857">Ogre::HighLevelGpuProgram</a>
, <a class="el" href="classOgre_1_1UnifiedHighLevelGpuProgram.html#126843e70a9aa7d59e8b42be30db03bb">Ogre::UnifiedHighLevelGpuProgram</a>
<li>buildEdgeList()
: <a class="el" href="classOgre_1_1Mesh.html#3b18cd2008a447fe5fac98d06a541994">Ogre::Mesh</a>
<li>buildFrustumProjection()
: <a class="el" href="classOgre_1_1LiSPSMShadowCameraSetup.html#3926ba17e4a63758954fd2dfd49f5a5e">Ogre::LiSPSMShadowCameraSetup</a>
<li>buildIndexMap()
: <a class="el" href="classOgre_1_1Mesh.html#dff87e74c9a6036ae6589c21cd88f3b1">Ogre::Mesh</a>
<li>buildIndexRemap()
: <a class="el" href="classOgre_1_1InstancedGeometry.html#8bc8fa6411eaf9a29ce745a5192f48ea">Ogre::InstancedGeometry</a>
, <a class="el" href="classOgre_1_1StaticGeometry.html#dc8fdfc69ff528c77c1157d925212338">Ogre::StaticGeometry</a>
<li>buildInterpolationSplines()
: <a class="el" href="classOgre_1_1NodeAnimationTrack.html#1745b618de6c8684b77ef3f2314065e3">Ogre::NodeAnimationTrack</a>
<li>buildKeyFrameTimeList()
: <a class="el" href="classOgre_1_1Animation.html#a9bd188b881327f3f4610ac9c3065293">Ogre::Animation</a>
<li>buildReflectionMatrix()
: <a class="el" href="classOgre_1_1Math.html#cbce05e3aa2ac6cceaa48be37b02d67f">Ogre::Math</a>
<li>buildSubEntityList()
: <a class="el" href="classOgre_1_1Entity.html#8d222ad3431c92197ebc87bea090ba8c">Ogre::Entity</a>
<li>buildTangentVectors()
: <a class="el" href="classOgre_1_1Mesh.html#0a1bed10394f47e3940a3d4836c51f92">Ogre::Mesh</a>
<li>buildTrianglesEdges()
: <a class="el" href="classOgre_1_1EdgeListBuilder.html#931b3ad77134a61a22a64492fdb898bf">Ogre::EdgeListBuilder</a>
<li>buildTrigTables()
: <a class="el" href="classOgre_1_1Math.html#396a97513fdea4586c71e8572256b116">Ogre::Math</a>
<li>buildViewMatrix()
: <a class="el" href="classOgre_1_1FocusedShadowCameraSetup.html#2717983dfbfaff59191bb51fae350ece">Ogre::FocusedShadowCameraSetup</a>
<li>bulkPixelConversion()
: <a class="el" href="classOgre_1_1PixelUtil.html#9f6e459a0f92c0c8e6bf4f20ee3a771a">Ogre::PixelUtil</a>
</ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:01 2008
</p>
</body>
</html>
